Bug 47970

Summary: [PATCH] No way to set arabic mode from HSSFSheet
Product: POI Reporter: markus.herven
Component: HSSFAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 3.5-FINAL   
Target Milestone: ---   
Hardware: PC   
OS: Linux   
Attachments: A patch that adds the possiblity to set the arabic property to HSSFSheet

Description markus.herven 2009-10-09 01:12:41 UTC
The arabic is hidden under Sheet and getWindowTwoRecord which cannot be accessed from HSSFSheet. Easiest is to add a getter and setter. This is needed to enable right to left sheets.
Comment 1 markus.herven 2009-10-09 02:16:26 UTC
Created attachment 24368 [details]
A patch that adds the possiblity to set the arabic property to HSSFSheet
Comment 2 Yegor Kozlov 2009-11-06 11:40:50 UTC
Applied in r833537

Thanks,
Yegor
Comment 3 Yegor Kozlov 2009-11-13 05:38:36 UTC
The name "setArabic" is politically insensitive. I renamed it to setRightToLeft() - this name should be fine. The corresponding VBA property is called DisplayRightToLeft.

Yegor